Subject: Re: bug#17063: 24.3; tool bar comes back when you hit the OS X "full screen" icon
From: "Jan D." <[email-masked]>
To: Tommy Thorn <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 21 Mar 2014 23:41:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi.

This has been fixed in trunk (to be 24.4).

    Jan D.

> 21 mar 2014 kl. 21:37 skrev Tommy Thorn <[email-masked]>:
> 
> I removed my local .emacs to prove this is an Emacs bug.
> I don't want the useless tool bar so I select
> 
>  Option - Show/Hide - Tool-bar
> 
> but when I full-screen Emacs it comes back.  If I disable it again while
> in full screen, the Emacs windows shrinks leaving a bar of wasted space
> at the buttom of the screen.
> 
> 
> 
> 
> In GNU Emacs 24.3.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
> of 2013-03-12 on bob.porkrind.org
> Windowing system distributor `Apple', version 10.3.1265
> Configured using:
> `configure '--host=x86_64-apple-darwin' '--build=i686-apple-darwin'
> '--with-ns' 'build_alias=i686-apple-darwin'
> 'host_alias=x86_64-apple-darwin' 'CC=gcc -mmacosx-version-min=10.7
> -isystem
> /Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/usr/include/
> -F/Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/System/Library/Frameworks''
> 
> Important settings:
>  locale-coding-system: nil
>  default enable-multibyte-characters: t
> 
> Major mode: Fundamental
> 
> Minor modes in effect:
>  tooltip-mode: t
>  mouse-wheel-mode: t
>  menu-bar-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  blink-cursor-mode: t
>  auto-composition-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  buffer-read-only: t
>  line-number-mode: t
>  transient-mark-mode: t
> 
> Recent input:
> <menu-bar> <options> <showhide> <showhide-tool-bar> 
> <help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
> <help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
> <help-echo> <help-echo> <menu-bar> <help-menu> <se
> nd-emacs-bug-report>
> 
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> 
> Load-path shadows:
> None found.
> 
> Features:
> (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
> easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
> mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
> mm-util mail-prsvr mail-utils time-date tooltip ediff-hook vc-hooks
> lisp-float-type mwheel ns-win tool-bar dnd fontset image regexp-opt
> fringe tabulated-list newcomment lisp-mode register page menu-bar
> rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
> facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
> tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
> czech european ethiopic indian cyrillic chinese case-table epa-hook
> jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
> cus-face macroexp files text-properties overlay sha1 md5 base64 format
> env code-pages mule custom widget hashtable-print-readable backquote
> make-network-process ns multi-tty emacs)
> 
>